SUBSYSTEM!="block", GOTO="librem5_storage_probe_end"

# Don't mark internal storage as flash drive (marked by 80-usdisks2.rules) - otherwise udisks assumes it's removable
# Can be removed once udisks distinguishes eMMC from MMC cards (https://github.com/storaged-project/udisks/issues/358)
KERNEL=="mmcblk0*", SUBSYSTEMS=="mmc", ENV{DEVTYPE}=="disk", ENV{ID_DRIVE_FLASH_MMC}="0", ENV{ID_DRIVE_MEDIA_FLASH_MMC}="0"
# Mark SD card reader as SD card and as non-rotational drive that can't be powered off
SUBSYSTEMS=="usb", ATTRS{idVendor}=="0424", ATTRS{idProduct}=="4041", ENV{ID_DRIVE_FLASH_SD}="1", ENV{UDISKS_CAN_POWER_OFF}="0", ATTR{queue/rotational}="0"

LABEL="librem5_storage_probe_end"
